<?php
class PaDefault extends CustomPage {
	public $ssetParid=1;
	
	public function PaDefault(){
		$this->ComPage();
	}
	public function OnBInitial(){
		$this->sMetaTitle='地区';
		$this->sLimitCount=0;
		//-- ------ #Zone ------ --
		//-- #Require --
		require('../../../Cache/DbCache/Zone/Cache_0.php');
		$this->sZoneCache=$netsAR_Zone;
		//-- ------ #ActionType ------ --
		if($this->sActionType=='DZonePar'){
			$this->OnZonePar();
			
		}
	}
	public function OnZonePar(){
		//ControlName,Parid,Index
		$this->sSearchAR0=$this->AnalyerRequest('DZonePar',',-1,-1',0);
		//-- ------ #Search data ------ --
		$tmpListSTR='DList0';
		$tmpListAR=$this->AnalyerRequest($tmpListSTR,'1,0,120,0',0);
		$tmpSortSTR='DSort0';
		$tmpSortAR=$this->AnalyerRequest($tmpSortSTR,'sztID,1',0);
		//#Spell sql
		$tmpSQL=' SELECT A.sztID,A.sztName,A.sztParid
			FROM {Nets.TableHead}netssyszone AS A 
			WHERE 1=1 AND A.sztRecycle=0 AND A.sztChecked>1 ';
		$tmpSQL.=' AND A.sztParid='.$this->sSearchAR0[1].' ';
		
		$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
		$this->sListData=$this->sDb->SearchP($tmpSTR,$tmpListAR);
		//#Set page button
		$this->sPAjaxButton->sPage=$this->sysPage;
		$this->sPAjaxButton->resetTemlate('../../../Config/m_default/File/pageButton3.htm');
		$this->sPAjaxButton->sExtendParameter='&DZonePar='.$this->sSearchAR0[0];
		$this->sPAjaxButton->setPage($this->sDb->sysPageInfo);

		return 0;
	}
	public function OnList(){
		
		return 0;
	}

}
?>